<template>
    <div>
        <QuizQuestion @clickAnswer="handleClickAnswer" v-bind:question="questions && questions[currentQuestion]"/>
    </div>
</template>

<script>
    import ajax from "ajax";
    import Question from "../src/scripts/Question";
    import $ from 'jquery';
    import QuizQuestion from "../components/QuizQuestion";

    export default {
        name: "GamePlay",
        components: {
            QuizQuestion
        },
        data: function() {
            return {
                currentQuestion: 0,
                playerName: '',
                answers: [],
                questions: undefined
            };
        },
        methods: {
            getQuizQuestions: async function () {
                try {
                    $.ajax({
                        url: 'https://opentdb.com/api.php?amount=10',
                        method: 'GET'
                    }).done(data => {
                            this.questions = data.results.map(question => {
                                return new Question(question);
                            });
                        })
                } catch(err) {
                    console.error(err);
                    throw err;
                };
            },
            handleClickAnswer: function (answer) {
                this.currentQuestion++;
                this.answers.push(answer);
            }
        },
        created() {
            this.getQuizQuestions();
        }
    }
</script>

<style scoped>
</style>